CANVAS_REGISTER_COORDS_CONVERT_FUNC(3)

FUNCTION
canvas_register_coords_convert_func - Register co-ordinate conversion function.

SYNOPSIS
#include <karma_canvas.h>

void canvas_register_coords_convert_func

(KWorldCanvas canvas, flag (*coord_convert_func) (), void *info)

DESCRIPTION
This routine will register the co-ordinate conversion function for a world canvas. This function will be called whenever conversions between linear co-ordinates and pixel co-ordinates are performed. Only one co-ordinate conversion function is permitted per canvas. This is a means for a higher level object to take control of the world canvas.

canvas
    The canvas.

func
    The function that is called when co-ordinates are to be converted. The prototype function is <-canvas_PROTO_coord_convert_func->.

info
    The initial arbitrary canvas information pointer.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/